## sddm 0.21.0+p22.04+vstable+git20241101.0043

=== debian/changelog ===
sddm (0.21.0+p22.04+vstable+git20241101.0043-0) jammy; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 01 Nov 2024 00:43:31 +0000

sddm (0.21.0-0neon) jammy; urgency=medium

  [ Norbert Preining ]
  * Recommend sddm-theme-debian-breeze instead of maui (Closes: #949340).
    The alternatives system gives this theme the highest priority, so install
    it by default.

  [ Pino Toscano ]
  * Remove inactive Uploaders.
  * Backport upstream commit e93bf95c54ad8c2a1604f8d7be05339164b19308 to fix
    build with newer versions of Qt 5.15; patch
    upstream_Fix-compilation-once-QTBUG-88431-gets-fixed.patch.
    (Closes: #1013550)
  * Update lintian overrides.

  [ Carlos De Maine ]
  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Mon, 26 Feb 2024 20:32:04 +1000

sddm (0.19.0-0neon) focal; urgency=medium

  * New release

 -- Harald Sitter <sitter@kde.org>  Wed, 03 Mar 2021 10:51:03 +0100

sddm (0.18.1-2neon) focal; urgency=medium

  * Revert upstream_set-re-use-session-option-by-default.diff

 -- Rik Mills <rikmills@kde.org>  Tue, 25 Feb 2020 15:44:32 +0000

=== debian/control ===
Source: sddm
Section: kde
Priority: optional
Uploaders: Aurélien COUDERC <coucouf@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               libpam0g-dev,
               libsystemd-dev [linux-any],
               libupower-glib-dev,
               libxcb-xkb-dev,
               libxcb1-dev,
               libxkbcommon-dev,
               pkg-config,
               python3-docutils,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-tools-dev,
               systemd [linux-any]
Standards-Version: 4.5.0
Homepage: https://github.com/sddm/sddm
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/3rdparty/sddm.git
Vcs-Browser: https://invent.kde.org/neon/3rdparty/sddm
Maintainer: Neon CI <neon@kde.org>

Package: sddm
Architecture: any
Depends: adduser,
         qt6-declarative,
         x11-common,
         xauth,
         xserver-xorg | xserver,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: haveged, libpam-systemd, sddm-theme-debian-breeze | sddm-theme
Suggests: libpam-kwallet5, qtvirtualkeyboard-plugin
Provides: x-display-manager
Description: modern display manager for X11
 SDDM is a modern display manager for X11 aiming to be fast, simple
 and beautiful. It uses modern technologies like QtQuick to create
 smooth, animated user interfaces.

Package: sddm-theme-debian-elarun
Architecture: all
Priority: optional
Depends: sddm, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: sddm-theme-debian-maui
Architecture: all
Priority: optional
Depends: sddm, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: sddm-theme-elarun
Architecture: all
Depends: sddm, ${misc:Depends}
Recommends: sddm
Provides: sddm-theme
Breaks: sddm (<< ${source:Version})
Description: 'Elarun' Theme for SDDM X11 display manager
 Elarun theme for SDDM

Package: sddm-theme-maldives
Architecture: all
Depends: sddm, ${misc:Depends}
Breaks: sddm (<< ${source:Version})
Recommends: sddm
Provides: sddm-theme
Description: 'Maldives' theme for SDDM X11 display manager
 Maldives theme for SDDM

Package: sddm-theme-maui
Architecture: all
Priority: optional
Depends: sddm, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: sddm-theme-maya
Architecture: all
Depends: sddm, ${misc:Depends}
Recommends: sddm
Provides: sddm-theme
Breaks: sddm (<< ${source:Version})
Description: 'Maya' theme for SDDM X11 display manager
 Maya theme for SDDM

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

SDDM_CMAKE_ARGS = -DCMAKE_INSTALL_LIBEXECDIR=/usr/lib/${DEB_HOST_MULTIARCH}/sddm \
	    -DSESSION_COMMAND="/etc/sddm/Xsession" \
	    -DWAYLAND_SESSION_COMMAND="/etc/sddm/wayland-session" \
	    -DBUILD_MAN_PAGES=ON \
	    -DDBUS_CONFIG_FILENAME="sddm_org.freedesktop.DisplayManager.conf" \
	    -DBUILD_WITH_QT6=ON

ifneq ($(DEB_HOST_ARCH_OS),linux)
  SDDM_CMAKE_ARGS += -DNO_SYSTEMD=ON -DENABLE_JOURNALD=OFF
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- ${SDDM_CMAKE_ARGS}

override_dh_installsystemd:
	dh_installsystemd -psddm --no-start --no-stop-on-upgrade --no-restart-on-upgrade --no-restart-after-upgrade sddm.service

override_dh_installinit:
	dh_installinit --noscripts

override_dh_install:
	# not installed, as the Debian version is used instead
	rm -f $(CURDIR)/debian/tmp/lib/systemd/system/sddm.service
	dh_install

override_dh_fixperms-arch:
	# ensure script is marked as executable
	chmod +x $(CURDIR)/debian/sddm/etc/sddm/Xsession
	dh_fixperms

override_dh_installpam:
	dh_installpam
	dh_installpam --name=sddm-autologin
	dh_installpam --name=sddm-greeter

## sddm 0.21.0+p24.04+vstable+git20250819.0028

=== src/greeter/CMakeLists.txt ===
if(QT_MAJOR_VERSION EQUAL "5")
    # Keep the unversioned name for Qt5. When upgrading SDDM, the old daemon
    # might still be running and only know about "sddm-greeter". Keeping the
    # previous name around also helps users calling it directly.
    set(GREETER_TARGET sddm-greeter)
else()
    set(GREETER_TARGET sddm-greeter-qt${QT_MAJOR_VERSION})
endif()

message(STATUS "Building greeter for Qt ${QT_MAJOR_VERSION} as ${GREETER_TARGET}")

include_directories(
    "${CMAKE_SOURCE_DIR}/src/common"
    "${CMAKE_BINARY_DIR}/src/common"
    "${LIBXCB_INCLUDE_DIR}"
)

set(GREETER_SOURCES
    ${CMAKE_SOURCE_DIR}/src/common/Configuration.cpp
    ${CMAKE_SOURCE_DIR}/src/common/ConfigReader.cpp
    ${CMAKE_SOURCE_DIR}/src/common/Session.cpp
    ${CMAKE_SOURCE_DIR}/src/common/SignalHandler.cpp
    ${CMAKE_SOURCE_DIR}/src/common/SocketWriter.cpp
    ${CMAKE_SOURCE_DIR}/src/common/ThemeConfig.cpp
    ${CMAKE_SOURCE_DIR}/src/common/ThemeMetadata.cpp
    GreeterApp.cpp
    GreeterProxy.cpp
    KeyboardLayout.cpp
    KeyboardModel.cpp
    ScreenModel.cpp
    SessionModel.cpp
    UserModel.cpp
    waylandkeyboardbackend.cpp
    waylandkeyboardbackend.h
    XcbKeyboardBackend.cpp
)

configure_file("theme.qrc" "theme.qrc")
configure_file("theme/metadata.desktop.in" "theme/metadata.desktop" @ONLY)

qt_add_resources(RESOURCES ${CMAKE_CURRENT_BINARY_DIR}/theme.qrc)

add_executable(${GREETER_TARGET} ${GREETER_SOURCES} ${RESOURCES})
target_link_libraries(${GREETER_TARGET}
                      Qt${QT_MAJOR_VERSION}::Quick
                      ${LIBXCB_LIBRARIES}
                      ${LIBXKB_LIBRARIES})

if(JOURNALD_FOUND)
    target_link_libraries(${GREETER_TARGET} ${JOURNALD_LIBRARIES})
endif()

# Translations
add_dependencies(${GREETER_TARGET} components-translation themes-translation)

install(TARGETS ${GREETER_TARGET} DESTINATION "${CMAKE_INSTALL_BINDIR}")

=== debian/changelog ===
sddm (0.21.0+p24.04+vstable+git20250819.0028-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 19 Aug 2025 00:28:29 +0000

=== debian/control ===
--- 
+++ 
@@ -7,17 +7,18 @@
                kf6-extra-cmake-modules,
                libpam0g-dev,
                libsystemd-dev [linux-any],
-               libupower-glib-dev,
+               libxau-dev,
                libxcb-xkb-dev,
                libxcb1-dev,
                libxkbcommon-dev,
-               pkg-config,
+               login,
+               pkgconf,
                python3-docutils,
                qt6-base-dev,
                qt6-declarative-dev,
                qt6-tools-dev,
-               systemd [linux-any]
-Standards-Version: 4.5.0
+               systemd-dev [linux-any]
+Standards-Version: 4.6.2
 Homepage: https://github.com/sddm/sddm
 Rules-Requires-Root: no
 Vcs-Git: https://invent.kde.org/neon/3rdparty/sddm.git
@@ -30,11 +31,14 @@
          qt6-declarative,
          x11-common,
          xauth,
+         xkb-data,
          xserver-xorg | xserver,
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: haveged, libpam-systemd, sddm-theme-debian-breeze | sddm-theme
-Suggests: libpam-kwallet5, qtvirtualkeyboard-plugin
+Recommends: libpam-systemd,
+            qt6-virtualkeyboard-plugin,
+            sddm-theme-debian-breeze | sddm-theme
+Suggests: libpam-kwallet5
 Provides: x-display-manager
 Description: modern display manager for X11
  SDDM is a modern display manager for X11 aiming to be fast, simple
@@ -58,7 +62,6 @@
 Package: sddm-theme-elarun
 Architecture: all
 Depends: sddm, ${misc:Depends}
-Recommends: sddm
 Provides: sddm-theme
 Breaks: sddm (<< ${source:Version})
 Description: 'Elarun' Theme for SDDM X11 display manager
@@ -68,7 +71,6 @@
 Architecture: all
 Depends: sddm, ${misc:Depends}
 Breaks: sddm (<< ${source:Version})
-Recommends: sddm
 Provides: sddm-theme
 Description: 'Maldives' theme for SDDM X11 display manager
  Maldives theme for SDDM
@@ -83,7 +85,6 @@
 Package: sddm-theme-maya
 Architecture: all
 Depends: sddm, ${misc:Depends}
-Recommends: sddm
 Provides: sddm-theme
 Breaks: sddm (<< ${source:Version})
 Description: 'Maya' theme for SDDM X11 display manager

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#export DH_VERBOSE=1

# Disable fixfilepath, as it causes build failures.
export DEB_BUILD_MAINT_OPTIONS = hardening=+all reproducible=-fixfilepath

include /usr/share/dpkg/architecture.mk

SDDM_CMAKE_ARGS = -DCMAKE_INSTALL_LIBEXECDIR=/usr/lib/${DEB_HOST_MULTIARCH}/sddm \
	    -DSESSION_COMMAND="/etc/sddm/Xsession" \
	    -DWAYLAND_SESSION_COMMAND="/etc/sddm/wayland-session" \
	    -DBUILD_MAN_PAGES=ON \
	    -DDBUS_CONFIG_FILENAME="sddm_org.freedesktop.DisplayManager.conf" \
	    -DBUILD_WITH_QT6=ON

ifneq ($(DEB_HOST_ARCH_OS),linux)
  SDDM_CMAKE_ARGS += -DNO_SYSTEMD=ON -DENABLE_JOURNALD=OFF
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- ${SDDM_CMAKE_ARGS}

override_dh_installsystemd:
	dh_installsystemd -psddm --no-start -r sddm.service

override_dh_installinit:
	dh_installinit --noscripts

override_dh_install:
	# not installed, as the Debian version is used instead
	rm -f $(CURDIR)/debian/tmp/lib/systemd/system/sddm.service $(CURDIR)/debian/tmp/usr/lib/systemd/system/sddm.service
	dh_install

override_dh_fixperms-arch:
	# ensure script is marked as executable
	chmod +x $(CURDIR)/debian/sddm/etc/sddm/Xsession
	dh_fixperms

override_dh_installpam:
	dh_installpam --name=sddm-autologin
	dh_installpam --name=sddm-greeter

## sddm 0.21.0+p24.04+vstable+git20250831.0143

=== debian/changelog ===
sddm (0.21.0+p24.04+vstable+git20250831.0143-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 31 Aug 2025 01:43:19 +0000

## sddm 0.21.0+p24.04+vstable+git20251122.0014

=== debian/changelog ===
sddm (0.21.0+p24.04+vstable+git20251122.0014-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 22 Nov 2025 00:14:50 +0000

## sddm 0.21.0+p24.04+vstable+git20251130.0809

=== debian/changelog ===
sddm (0.21.0+p24.04+vstable+git20251130.0809-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 30 Nov 2025 08:09:27 +0000

## sddm 0.21.0+p24.04+vstable+git20260116.0840

=== debian/changelog ===
sddm (0.21.0+p24.04+vstable+git20260116.0840-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 16 Jan 2026 08:40:48 +0000

## sddm 0.21.0+p24.04+vunstable+git20251122.0020

=== debian/changelog ===
sddm (0.21.0+p24.04+vunstable+git20251122.0020-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 22 Nov 2025 00:20:47 +0000

## sddm 0.21.0+p24.04+vunstable+git20251130.0318

=== debian/changelog ===
sddm (0.21.0+p24.04+vunstable+git20251130.0318-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 30 Nov 2025 03:18:17 +0000

## sddm 0.21.0+p24.04+vunstable+git20260116.0855

=== debian/changelog ===
sddm (0.21.0+p24.04+vunstable+git20260116.0855-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 16 Jan 2026 08:55:42 +0000

## sddm 0.21.0-5~24.04

=== debian/changelog ===
sddm (1:0.21.0-5~24.04-1tux1) noble; urgency=medium

  * include sddm.service from our jammy package to fix blackscreen on IBP 15 G9

 -- Torsten Wohlfarth <towo@tuxedocomputers.com>  Fri, 22 Nov 2024 12:14:35 +0100

sddm (1:0.21.0-4~24.04-1tux1) noble; urgency=medium

  * Non-maintainer upload.
  * Rebuild for TUXEDO

 -- Torsten Wohlfarth <towo@tuxedocomputers.com>  Tue, 12 Nov 2024 11:32:21 +0100

sddm (0.21.0-0zneon+24.04+noble+release+build3) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Tue, 29 Oct 2024 08:08:58 +0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

SDDM_CMAKE_ARGS = -DCMAKE_INSTALL_LIBEXECDIR=/usr/lib/${DEB_HOST_MULTIARCH}/sddm \
	    -DSESSION_COMMAND="/etc/sddm/Xsession" \
	    -DWAYLAND_SESSION_COMMAND="/etc/sddm/wayland-session" \
	    -DBUILD_MAN_PAGES=ON \
	    -DDBUS_CONFIG_FILENAME="sddm_org.freedesktop.DisplayManager.conf" \
	    -DBUILD_WITH_QT6=ON

ifneq ($(DEB_HOST_ARCH_OS),linux)
  SDDM_CMAKE_ARGS += -DNO_SYSTEMD=ON -DENABLE_JOURNALD=OFF
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- ${SDDM_CMAKE_ARGS}

override_dh_installsystemd:
	dh_installsystemd -psddm --no-start --no-stop-on-upgrade --no-restart-on-upgrade --no-restart-after-upgrade sddm.service

override_dh_installinit:
	dh_installinit --noscripts

override_dh_install:
	# not installed, as the Debian version is used instead
	rm -f $(CURDIR)/debian/tmp/lib/systemd/system/sddm.service
	rm -f $(CURDIR)/debian/tmp/usr/lib/systemd/system/sddm.service
	dh_install

override_dh_fixperms-arch:
	# ensure script is marked as executable
	chmod +x $(CURDIR)/debian/sddm/etc/sddm/Xsession
	dh_fixperms

override_dh_installpam:
	dh_installpam
	dh_installpam --name=sddm-autologin
	dh_installpam --name=sddm-greeter
